Skip to main content
POST
/
v1
/
accounts
/
{account_id}
/
simulate
cURL
curl --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/accounts/<uuid>/simulate
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z"
  },
  "response_type": "object",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "business",
    "status": "created",
    "status_detail": {
      "reason": "unverified",
      "source": "watchtower",
      "code": "<string>",
      "message": "<string>"
    },
    "access_level": "standard",
    "business_profile": {
      "name": "<string>",
      "website": "<string>",
      "legal_name": "<string>",
      "description": "<string>",
      "use_case": "<string>",
      "tax_id": "<string>",
      "phone": "<string>",
      "address": {
        "line1": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "line2": "<string>",
        "country": "<string>"
      },
      "industry": {
        "mcc": "<string>",
        "sector": "<string>",
        "category": "<string>"
      },
      "support_channels": {
        "email": "jsmith@example.com",
        "phone": "<string>",
        "url": "<string>"
      }
    },
    "capabilities": {
      "payment_types": {
        "charges": {
          "capability_status": "active"
        },
        "payouts": {
          "capability_status": "active"
        }
      },
      "customer_types": {
        "individuals": {
          "capability_status": "active"
        },
        "businesses": {
          "capability_status": "active"
        }
      },
      "consent_types": {
        "signed_agreement": {
          "capability_status": "active"
        },
        "internet": {
          "capability_status": "active"
        }
      }
    },
    "settings": {
      "charges": {
        "max_amount": 123,
        "monthly_amount": 123,
        "daily_amount": 123,
        "monthly_count": 123,
        "funding_time": "immediate",
        "linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "payouts": {
        "max_amount": 123,
        "monthly_amount": 123,
        "daily_amount": 123,
        "monthly_count": 123,
        "funding_time": "immediate",
        "linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    },
    "terms_of_service": {
      "accepted_date": "2023-11-07T05:31:56Z",
      "agreement_url": "<string>",
      "agreement_type": "embedded",
      "accepted_ip": "<string>",
      "accepted_user_agent": "<string>"
    },
    "metadata": {},
    "external_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.straddle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

request-id
string

Optional client generated identifier to trace and debug a request.

correlation-id
string

Optional client generated identifier to trace and debug a series of requests.

idempotency-key
string

Optional client generated value to use for idempotent requests.

Required string length: 10 - 40

Path Parameters

account_id
string<uuid>
required

Query Parameters

final_status
enum<string>
Available options:
onboarding,
active

Response

Created

meta
object
required

Metadata about the API request, including an identifier and timestamp.

response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object
required